# vue-json-editor
fix the bug that when not setting 'lang' 'mode' 'modes' , a vue prop-changing error occurs in vue-json-eiditor 
修复了vue-editor-json中不传入'lang' 'mode' 'modes' 引起vue的prop修改错误

## Component properties
v-model：bind the [json object]   
:show-btns: boolean, show the save button, defualt: true
:modes: array, default: ['tree', 'code', 'form', 'text', 'view']
:mode: string, default: tree
:lang: string, default: en   
@json-change: on json changed   
@json-save: on json save   
@has-error: on error

# How to use
## 1. Install using npm
```
npm install better-vue-json-editor --save
```
## 2. Use vue-json-editor in the vue component
```vue
<template>
  <div>
    <p>vue-json-editor</p>
    <vue-json-editor v-model="json" :show-btns="true" @json-change="onJsonChange"></vue-json-editor>
  <div>
</template>

<script>
  import vueJsonEditor from 'better-vue-json-editor'
  
  export default{
    data () {
      json: {
        msg: 'demo of jsoneditor'
      }
    },
    
    components: {
      vueJsonEditor
    },

    methods: {
      onJsonChange (value) {
        console.log('value:', value)
      }
    }
  }
</script>
```

# Contributors
    dujiawei 253380081@qq.com <https://github.com/2015308200114dujiawei>
